
%define name gconf-cleaner
%define version 0.0.3
%define release %mkrel 2

%define _prefix	/usr
	
Summary:		GConf Cleaner is a tool to clean your GConf database up
Name:	                %{name}
Version:		%{version}
Release:		%{release}
URL:			http://code.google.com/p/gconf-cleaner/
Group:			Graphical desktop/GNOME
License:		GPL
Source:			%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig

%description
GConf Cleaner is a tool to clean your GConf database up that is
possibly ate away with the unnecessary keys anymore or the invalid
keys. You may want to keep a clean your GConf database. This tool
might help you in this case.


%prep
%setup -q

%build
%configure
%make
%install
%makeinstall


mkdir -p %buildroot%{_datadir}/applications/
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=%{name}
Icon=system_section.png
Terminal=false
Type=Application
Categories=System;X-MandrivaLinux-System-Configuration;
StartupNotify=false
Name=GConf Cleaner
EOF


%find_lang %{name}

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/*
%{_datadir}/*

%changelog
* Sun Dec 09 2007 Texstar <texstar@gmail.com> 0.0.3-2pclos2007
- fix synaptic group
- fix menu entry

* Tue Nov 20 2007 Slick50 <slick50@linuxgator.org> 0.0.3-1pclos2007
- initial build for pclinuxos 2007
